Subject: Re: [PATCH net-next] net: dsa: mv88e6xxx: cosmetic fix

From: Marek Behún <[email-masked]>
Date: Fri, 19 Mar 2021 23:54:40 +0100

On Fri, 19 Mar 2021 15:14:52 -0700
Florian Fainelli <[email-masked]> wrote:

> On 3/19/2021 12:47 PM, Marek Behún wrote:
> > On Fri, 19 Mar 2021 20:58:20 +0200
> > Vladimir Oltean <[email-masked]> wrote:
> >   
> >> On Fri, Mar 19, 2021 at 03:31:49PM +0100, Marek Behún wrote:  
> >>> We know that the `lane == MV88E6393X_PORT0_LANE`, so we can pass `lane`
> >>> to mv88e6390_serdes_read() instead of MV88E6393X_PORT0_LANE.
> >>>
> >>> All other occurances in this function are using the `lane` variable.
> >>>
> >>> It seems I forgot to change it at this one place after refactoring.
> >>>
> >>> Signed-off-by: Marek Behún <[email-masked]>
> >>> Fixes: de776d0d316f7 ("net: dsa: mv88e6xxx: add support for ...")
> >>> ---    
> >>
> >> Either do the Fixes tag according to the documented convention:
> >> git show de776d0d316f7 --pretty=fixes  
> > 
> > THX, did not know about this.
> >   
> >> Fixes: de776d0d316f ("net: dsa: mv88e6xxx: add support for mv88e6393x family")
> >>
> >> or even better, drop it.  
> > 
> > Why better to drop it?  
> 
> To differentiate an essential/functional fix from a cosmetic fix. If all
> cosmetic fixes got Fixes: tag that would get out of hands quickly.

IMO in this case the Fixes tag is not necessary beacuse the base commit
is not in any stable kernel yet.

But if the base commit was in a stable kernel already, and this
cosmetic fix was sent into net-next / net, I think the Fixes tag should
be there, in order for it to get applied into stable releases so that
future fixes could be applied cleanly.

Or am I wrong? This is how I understand this whole system...

Marek